syb-0.7.2.4: Scrap Your Boilerplate

Copyright | (c) The University of Glasgow CWI 2001--2003
License | BSD-style (see the LICENSE file)
Maintainer | generics@haskell.org
Stability | experimental
Portability | non-portable (uses Data.Generics.Basics)
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Generics.Text

Contents

- Generic show
- Generic read

Description

"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.uu.nl/wiki/GenericProgramming/SYB. The present module provides generic operations for text serialisation of terms.

Synopsis

- gshow :: Data a => a -> String
- gshows :: Data a => a -> ShowS
- gread :: Data a => ReadS a

# Generic show

gshow :: Data a => a -> String Source #

Generic show: an alternative to "deriving Show"

Since: 0.1.0.0

gshows :: Data a => a -> ShowS Source #

Generic shows

Since: 0.2

# Generic read

gread :: Data a => ReadS a Source #

Generic read: an alternative to "deriving Read"

Since: 0.1.0.0